<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Edible_Base/CaninaBerry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d75/_canina_berry_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CaninaBerry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d75/_canina_berry_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>CaninaBerry <span class="keyword">extends</span> <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#aa57858f3d10888254a078123abae5de0">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#aa57858f3d10888254a078123abae5de0">CanBeCooked</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }       </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a2b3f887b07b3bec70fcd46ac8829e027">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a2b3f887b07b3bec70fcd46ac8829e027">CanBeCookedOnStick</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a5cb6bfd9bf7ad5971957702d4827c1e0">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a5cb6bfd9bf7ad5971957702d4827c1e0">IsFruit</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a705c784d83c2dd4aa594d8e2da9a015c">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a705c784d83c2dd4aa594d8e2da9a015c">CanDecay</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#a0ea67300408f4ac330bd7de310ab666c">   23</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#a0ea67300408f4ac330bd7de310ab666c">ConditionAttach</a> ( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="comment">//if Barrel_ColorBase</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> ( parent.IsInherited( <a class="code hl_class" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a> ) )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_class" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a> barrel = <a class="code hl_class" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a>.Cast( parent );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordflow">if</span> ( barrel.<a class="code hl_function" href="../../de/da3/class_barrel___color_base.html#abe3999c244c003a78e568d3bb08d15b7">IsOpen</a>() &amp;&amp; !barrel.FindAttachmentBySlotName( <span class="stringliteral">&quot;Nails&quot;</span> ) &amp;&amp; !barrel.FindAttachmentBySlotName( <span class="stringliteral">&quot;OakBark&quot;</span> ) &amp;&amp; !barrel.FindAttachmentBySlotName( <span class="stringliteral">&quot;BirchBark&quot;</span> ) &amp;&amp; !barrel.FindAttachmentBySlotName( <span class="stringliteral">&quot;Lime&quot;</span> ) &amp;&amp; !barrel.FindAttachmentBySlotName( <span class="stringliteral">&quot;Disinfectant&quot;</span> ) &amp;&amp; !barrel.FindAttachmentBySlotName( <span class="stringliteral">&quot;Guts&quot;</span> ) )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#ad2f1a40a8ccbe29333a91375ecc627d1">   39</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#ad2f1a40a8ccbe29333a91375ecc627d1">ConditionDetach</a> ( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">//if Barrel_ColorBase</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> ( parent.IsInherited( <a class="code hl_class" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a> ) )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_class" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a> barrel = <a class="code hl_class" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a>.Cast( parent );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span> ( !barrel.<a class="code hl_function" href="../../de/da3/class_barrel___color_base.html#abe3999c244c003a78e568d3bb08d15b7">IsOpen</a>() )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../df/d7c/class_edible___base.html#aa8344e7afeb5e1e5e7a80c77a3c7c077">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d7c/class_edible___base.html#aa8344e7afeb5e1e5e7a80c77a3c7c077">SetActions</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        super.SetActions();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d4/d0d/class_action_force_feed.html">ActionForceFeed</a>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d5/dac/class_action_eat.html">ActionEat</a>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="aclass_action_eat_html"><div class="ttname"><a href="../../d5/dac/class_action_eat.html">ActionEat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dbd/_action_eat_8c_source.html#l00064">ActionEat.c:65</a></div></div>
<div class="ttc" id="aclass_action_force_feed_html"><div class="ttname"><a href="../../d4/d0d/class_action_force_feed.html">ActionForceFeed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd9/_action_force_feed_8c_source.html#l00009">ActionForceFeed.c:10</a></div></div>
<div class="ttc" id="aclass_barrel___color_base_html"><div class="ttname"><a href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6e/_barrel___color_base_8c_source.html#l00001">Barrel_ColorBase.c:2</a></div></div>
<div class="ttc" id="aclass_barrel___color_base_html_abe3999c244c003a78e568d3bb08d15b7"><div class="ttname"><a href="../../de/da3/class_barrel___color_base.html#abe3999c244c003a78e568d3bb08d15b7">Barrel_ColorBase::IsOpen</a></div><div class="ttdeci">override bool IsOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d6e/_barrel___color_base_8c_source.html#l00109">Barrel_ColorBase.c:109</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a0ea67300408f4ac330bd7de310ab666c"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a0ea67300408f4ac330bd7de310ab666c">Edible_Base::ConditionAttach</a></div><div class="ttdeci">bool ConditionAttach(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00023">CaninaBerry.c:23</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a2b3f887b07b3bec70fcd46ac8829e027"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a2b3f887b07b3bec70fcd46ac8829e027">Edible_Base::CanBeCookedOnStick</a></div><div class="ttdeci">override bool CanBeCookedOnStick()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00008">CaninaBerry.c:8</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a5cb6bfd9bf7ad5971957702d4827c1e0"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a5cb6bfd9bf7ad5971957702d4827c1e0">Edible_Base::IsFruit</a></div><div class="ttdeci">override bool IsFruit()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00013">CaninaBerry.c:13</a></div></div>
<div class="ttc" id="aclass_edible___base_html_a705c784d83c2dd4aa594d8e2da9a015c"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#a705c784d83c2dd4aa594d8e2da9a015c">Edible_Base::CanDecay</a></div><div class="ttdeci">override bool CanDecay()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00018">CaninaBerry.c:18</a></div></div>
<div class="ttc" id="aclass_edible___base_html_aa57858f3d10888254a078123abae5de0"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#aa57858f3d10888254a078123abae5de0">Edible_Base::CanBeCooked</a></div><div class="ttdeci">override bool CanBeCooked()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00003">CaninaBerry.c:3</a></div></div>
<div class="ttc" id="aclass_edible___base_html_aa8344e7afeb5e1e5e7a80c77a3c7c077"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#aa8344e7afeb5e1e5e7a80c77a3c7c077">Edible_Base::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00055">CaninaBerry.c:55</a></div></div>
<div class="ttc" id="aclass_edible___base_html_ad2f1a40a8ccbe29333a91375ecc627d1"><div class="ttname"><a href="../../df/d7c/class_edible___base.html#ad2f1a40a8ccbe29333a91375ecc627d1">Edible_Base::ConditionDetach</a></div><div class="ttdeci">bool ConditionDetach(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d75/_canina_berry_8c_source.html#l00039">CaninaBerry.c:39</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_10f6392f0ea96a77d71bf5a7e1dc9fd9.html">Edible_Base</a></li><li class="navelem"><a class="el" href="../../dc/d75/_canina_berry_8c.html">CaninaBerry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
